#!/bin/sh

# powered by hucky1 2011 
# modified dec 2011 for newnigma2
# works together with /etc/init.d/EPGRestore

Linie="---------------------------------------------------------"
epgdat='/media/hdd/epg.dat'
epgback='/media/hdd/epg/epg.dat'
ausgabe='/tmp/EPG-Backup.log'

echo -e 'EPG-Backup-Script vom ' `date +"%d. %B %Y - %H:%M:%S"` '\n'$Linie  | tee $ausgabe
echo '1. Pruefe Aufnahmestatus...'  | tee -a $ausgabe
echo '2. neustart von enigma2 um epg.dat zu laden'  | tee -a $ausgabe
echo '3. sichere '$epgdat 'nach dem Neustart nach '$epgback  | tee -a $ausgabe
echo -e '\n'$Linie'\nKontrolliere mit EPGInfo nach dem Backup'  | tee -a $ausgabe
echo -e '\nin 3 sec wird fortgesetzt\n'$Linie  | tee -a $ausgabe



timeframe=$((`date +%s`+1800))
  #Timerlist cleanup
  wget -O- -q http://localhost/web/timercleanup?cleanup= | grep e2statetext | sed 's/.*<e2statetext>\(.*\)<\/e2statetext.*/\1/'

  # Status Powerstate: 0 = Standby 1 = Akiv
#        if [ $(wget -O- -q http://192.168.1.10/web/powerstate |grep -c "false") = 1 ]; then
#                echo "Dreambox ist AKTIV... keine weitere Aktion"
#        else
                #Ist eine Aufnahme aktiv?
  if [ $(wget -O- -q http://localhost/web/timerlist |grep "e2state" | grep -c ">2<") -gt 0 ]; then
    echo "Dreambox IDLE aber Aufnahme aktiv....." | tee -a $ausgabe
  else
    if [ $(wget -O- -q http://localhost/web/timerlist |grep "e2timebegin"|sed 's/.*<e2timebegin>\(.*\)<\/e2timebegin.*/\1/'| head -n 1) -lt $timeframe ]; then
      echo "Dreambox Idle und keine aktiven Aufnahmen.... jedoch in 30min"  | tee -a $ausgabe
    else
      echo "Shutdown......" | tee -a $ausgabe
      # createBackup-Directory or erase the backup
      mkdir -p /media/hdd/epg | tee -a $ausgabe
      #rm -f $epgback | tee -a $ausgabe
      sleep 3

      # shutdown enigma2, save epgcache in media/hdd/epg.dat and restart
      wget -q -O - http://localhost/web/powerstate?newstate=2
      exit 0
#      wget -O- -q http://localhost/web/powerstate?newstate=1
#      sleep 60
#      sh /etc/rc.local
#      exit 0
    fi
  fi
#        fi
exit