#!/bin/sh

# powered by hucky1 2011 
# modified jan 2012
#

Linie="---------------------------------------------------------"
DLinie="========================================================="
epgdat='/media/hdd/epg.dat'
epgback='/media/hdd/epg/epg.dat'
newepgsz=0                                                                                                          
oldepgsz=0 
minsize=3000000

# script infofile
ausgabe='/tmp/EPG_INFO.log'
# end

echo -e 'Script zur Info ausgefuehrt am ' `date +"%d. %B %Y - %H:%M:%S"` '\n'$Linie  | tee $ausgabe 

  # checken auf ein altes epg.dat (wenn jemals eine Sicherung erfolgt ist)
  if [ -f $epgback ] ; then
    oldepgsz=`ls -l $epgback | awk '{print $5}'`
    oldepgdatesec=`date -r $epgback +%s`
    oldepgdate=`date -r $epgback +%d.%m.%Y-%H:%M:%S`
    echo -e 'EPG-Backup : Size: '$oldepgsz' vom: '$oldepgdate'\n\n\n'  | tee -a $ausgabe
    fall=1
    if [ -f /tmp/EPG_Restore.log ]; then 
      echo -e $DLinie'\nRestore-Logdatei:\n'  | tee -a $ausgabe
      cat /tmp/EPG_Restore.log
    else
    echo -e '\nKeine EPG-Restore-Logdatei:\n'  | tee -a $ausgabe
    fi
    if [ -f /tmp/EPG-Backup.log ]; then 
      echo -e $DLinie'\nBackup-Logdatei:\n'  | tee -a $ausgabe
      cat /tmp/EPG-Backup.log
    else
    echo -e '\nKeine EPG-Backup-Logdatei:\n'  | tee -a $ausgabe
    fi
    if [ -f /tmp/EPG-Restore.log ]; then 
      echo -e $DLinie'\nAuto-Restore-Logdatei:\n'  | tee -a $ausgabe
      cat /tmp/EPG-Restore.log
    else
    echo -e '\nKeine EPG-Restore-Logdatei:\n'  | tee -a $ausgabe
    fi
  else
    echo 'Kein Backup von epg.dat'  | tee -a $ausgabe
    echo 'Sobald die EPG-Daten aktuell sind, starte EPGRestore manuell'  | tee -a $ausgabe
  fi
  echo -e $DLinie'\n\n'   | tee -a $ausgabe  

exit 0
